<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
  [[> Partial:breadcrumb iri=(resolvePrefix ":listWitnesses") label="Witnesses"]]
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader title="Advanced Witness Search"]]

<div class="panel gap">
  <div class="panel-body">
<semantic-search>
  <semantic-search-form-query
     query-template='{
       "queryString": "SELECT ?subject
          WHERE {
            ?subject a ismi:Witness ;
              rdfs:label ?label ;
              crm:P1_is_identified_by ?id ;
              crm:P128_carries / frbroo:R9i_realises ?text ;
              crm:P46i_forms_part_of ?codex .
            ?id crm:P2_has_type ismiidtype:ismi-id ;
               rdfs:label ?ismi_id .
            ?text frbroo:R16i_was_initiated_by / crm:P14_carried_out_by ?author .
            ?codex crm:P1_is_identified_by ?codex_id ;
              crm:P46i_forms_part_of ?collection .
            ?codex_id crm:P2_has_type ismiidtype:preferred-identifier ;
              rdfs:label ?identifier .
            ?collection rdfs:label ?coll_label ;
              crm:P49_has_former_or_current_keeper ?repository .
            OPTIONAL {
              ?digi crmdig:L1_digitized ?codex .
            }
            bind(?text_match as ?text)
            bind(?author_match as ?author)
            bind(?codex_match as ?codex)
            bind(?id_match as ?identifier)
            bind(?coll_match as ?collection)
            bind(?repo_match as ?repository)
            filter(if(?has_digitization, bound(?digi), true))
          }",
       "arguments": {
         "text_match": {"type": "xsd:anyURI", "optional": true},
         "author_match": {"type": "xsd:anyURI", "optional": true},
         "codex_match": {"type": "xsd:anyURI", "optional": true},
         "coll_match": {"type": "xsd:anyURI", "optional": true},
         "id_match": {"type": "xsd:string", "optional": true},
         "repo_match": {"type": "xsd:anyURI", "optional": true},
         "has_digitization": {"type": "xsd:boolean", "optional": true}
       }
     }'
     fields="[[fieldDefinitions
         author_match='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/carried_out_by'
         text_match='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/exemplar_of'
         codex_match='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/part_of_codex'
         id_match='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/codex_identifier'
         coll_match='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/part_of_collection'
         repo_match='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/part_of_repository'
         has_digitization='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/has_digitization'
       ]]">
    <semantic-form-autocomplete-input for="author_match"></semantic-form-autocomplete-input>
    <semantic-form-autocomplete-input for="text_match"></semantic-form-autocomplete-input>
    <semantic-form-select-input for="codex_match"></semantic-form-select-input>
    <semantic-form-text-input for="id_match" placeholder="Codex identifier"></semantic-form-text-input>
    <semantic-form-select-input for="coll_match"></semantic-form-select-input>
    <semantic-form-select-input for="repo_match"></semantic-form-select-input>
    <semantic-form-checkbox-input for="has_digitization"></semantic-form-checkbox-input>
    <button type='button' name='submit' className='btn btn-default'>Search</button>
  </semantic-search-form-query>
  <semantic-search-result-holder>
    <semantic-search-result> 
<semantic-table
  id='table'
  query='SELECT ?subject ?text ?author ?codex ?identifier ?collection ?repository WHERE {} 
    ORDER BY lcase(?label) xsd:integer(?identifier)'
  column-configuration='[
    { "variableName": "subject", "displayName": "Witness" },
    { "variableName": "text", "displayName": "Text" },
    { "variableName": "author", "displayName": "Author" },
    { "variableName": "codex", "displayName": "Codex" },
    { "variableName": "repository", "displayName": "Repository" }
  ]'
  number-of-displayed-rows=100
  options='{"showFilter": false}'
  >
</semantic-table>
    </semantic-search-result>
  </semantic-search-result-holder>
</semantic-search>
  </div>
</div>

[[> Partial:contentEnd]]
